package eu.mhsl.craftattack.worldmuseum.util;

import net.minestom.server.entity.Player;
import net.minestom.server.network.packet.server.play.PluginMessagePacket;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.nio.charset.StandardCharsets;

public class BunggeCordComunicator {
    private static final String bungeeTargetSelector = "BungeeCord";
    public static void connect(Player p, String bungeeServerTargetName) {
        try {
            ByteArrayOutputStream out = new ByteArrayOutputStream();
            out.write("Connect".getBytes(StandardCharsets.UTF_8));
            out.write(bungeeServerTargetName.getBytes(StandardCharsets.UTF_8));
            p.sendPacket(new PluginMessagePacket(bungeeTargetSelector, out.toByteArray()));
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
